local oldname = nil;

function CleanUI_InitTalents()
    CleanUI_TalentsHookEvents();
end

function CleanUI_TalentsHookEvents()
    hooksecurefunc("UnitPopup_ShowMenu", CleanUI_UnitPopup_AppendTalents);
    hooksecurefunc("UnitPopup_OnClick", CleanUI_UnitPopup_Talents_OnClick);
end

function CleanUI_UnitPopup_Talents_OnClick(self)
    local button = self.value;

    if (string.find(button, "CUI_TALENTS") == 1) then
        UnitPopupButtons[button].func()
    end
end

function CleanUI_UnitPopup_AppendTalents(dropdownMenu, which, unit, name, userData)

    if (unit ~= "player" or UIDROPDOWNMENU_MENU_LEVEL > 1) then
        return;
    end

    if (GetNumSpecializations(nil) > 1) then

        local menu = {};

        local id, name, description, icon, background, _, primaryStat;
        for ii=1, GetNumSpecializations(nil) do
            id, name, description, icon, background, _, primaryStat = GetSpecializationInfo(ii, nil, nil, nil, UnitSex("player"));

            local name = name
            local func = function(frame) CleanUI_SelectActiveSpecGroup(ii) end;
            local checked = ii == GetSpecialization(nil)

            UnitPopupButtons["CUI_TALENTS"..name] = {text=name, func=func, checked=checked};
            table.insert(menu, "CUI_TALENTS"..name);
        end

        UnitPopupMenus["CUI_TALENTS"] = menu;

        UIDropDownMenu_AddSeparator();

        local eq_header = UIDropDownMenu_CreateInfo();
        eq_header.text = TALENTS;
        eq_header.value = "CUI_TALENTS";
        eq_header.isNotRadio = true;
        eq_header.notCheckable = 1;
        eq_header.hasArrow = true;
        eq_header.menuTable = menu;
        UIDropDownMenu_AddButton(eq_header);
    end
end

function CleanUI_SelectActiveSpecGroup(index)
    SetSpecialization(index, false);
end
